﻿@using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());

    Layout = null;
    //type = 0 => Décaissement
    //type = 1 => Payement ristourne client
    //type = 2 => Dépense
    int type = int.Parse(TempData["type"].ToString());
}

<script>
    // handle context menu clicks.
    @if (type == 0)
    {
        { WriteLiteral("var documentName = ['id:id:string', 'NUM_DOC:N&deg; Règlement:string:10%', 'Date:Date:date:13%', 'Fournisseur:Fournisseur:stringdrop:20%', 'Montant:Montant:number:18%:sum',  'Utilisateur:Enregistrer Par:stringdrop:20%', 'Statut:Statut:stringdrop:16.3%'];"); }
    }
    else if (type == 1)
    {
        { WriteLiteral("var documentName = ['id:id:string', 'NUM_DOC:N&deg; Règlement:string:10%', 'Date:Date:date:13%', 'Fournisseur:Client:stringdrop:20%', 'Montant:Montant:number:18%:sum',  'Utilisateur:Enregistrer Par:stringdrop:20%', 'Statut:Statut:stringdrop:16.3%'];"); }
    }
    else
    {
        { WriteLiteral("var documentName = ['id:id:string', 'NUM_DOC:N&deg; Règlement:string:10%', 'Date:Date:date:10%', 'Fournisseur:Type Dépense:stringdrop:15%', 'Montant:Montant:number:13%:sum', 'Motif:Motif:string:20%', 'Utilisateur:Enregistrer Par:stringdrop:15%', 'Statut:Statut:stringdrop:14.3%'];"); }
    }   
</script>

<input id="ajoutUrl" value="/Decaissement/ajouter/@TempData["type"]" type="hidden" />
<input id="LoardUrl" value="/Decaissement/ajax/@TempData["type"]" type="hidden" />
<input id="consulterUrl" value="/Decaissement/Consulter/" type="hidden" />

<script src="~/Scripts/IndexJS.js"></script>
<div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Sélectionnez un seul enrégistrement !
        </div>
    </div>
</div>
<div id="confirm">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Voulez-vous confirmer cette action ?
        </div>
        <div class="boutons">
            <br />
            <button title="OK" type="button" id="ok" class="btn btn-default oufbutton"><i class="ouf-ok"></i>OK</button>
            <button title="Annuler" type="button" id="annuler" class="btn btn-default oufbutton"><i class="ouf-cancel"></i>Annuler</button>
        </div>
    </div>
</div>

<span style="font-weight: bold"></span>
<div class="boutons">
    <table>
        <tr>

            <td>@Html.Partial("Filtre")</td>
            <td>
                @if ((type == 0 && cmd.Contains("Ajouter_reglement_fournisseur")) || (type == 1 && cmd.Contains("Ajouter_reglement_ristourne")) || (type == 2 && cmd.Contains("Ajouter_depense")))
                {
                    <button title='Ajouter' id='ajout' class='btn btn-default oufbutton SansIdentifiant'><i class='ouf-add'></i>Ajouter</button>    
                }
            </td>
            <td>
                @if (true)
                {
                    <button title="Consulter" id="consulter" class="btn btn-default oufbutton AvecIdentifiant"><i class="ouf-consult"></i>Consulter</button>
                
                }
            </td>
            @if ((cmd.Contains("Export_decaissement")))// 
            {
                <td>
                    <button title="Telecharger" type="button" id="telecharger" class="btn btn-default oufbutton"><i class="ouf-pdf"></i>Exporter</button>
                </td>
            }

        </tr>
    </table>



</div>
<div id="grades"></div>
<div id='Menu'>
    <ul>
        @if (true)//(cmd.Contains("Modifier_Centre"))
        {
            <li><i class='ouf-consult'></i>Consulter</li>
        }

    </ul>
</div>

